makevars {tools} | R Documentation

## User and Site Compilation Variables

### Description

Determine the location of the user and site specific ‘Makevars’ files for customizing package compilation.

### Usage

    makevars_user()
    makevars_site()

### Details

Package maintainers can use these functions to employ user and site specific compilation settings also for compilations not using R's mechanisms (in particular, custom compilations in subdirectories of ‘src’), e.g., by adding configure code calling R with `cat(tools::makevars_user())` or `cat(tools::makevars_site())`, and if non-empty passing this with -f to custom Make invocations.

### Value

A character string with the path to the user or site specific ‘Makevars’ file, or an empty character vector if there is no such file.

### See Also

Section “Customizing package compilation” in the “R Installation and Administration” manual.

### Examples

    makevars_user()
    makevars_site()

[Package tools version 3.6.0 Index]